f86b563c128353dd557613fb1ef9e153fecd41f0
[packages/libgweather.git] / libgweather.spec
1 #
2 # Conditional build:
3 %bcond_without  glade   # Glade catalog
4 %bcond_without  vala    # do not build Vala API
5
6 Summary:        Library to access weather information from online services for numerous locations
7 Summary(pl.UTF-8):      Biblioteka dostępu do informacji pogodowych z serwisów internetowych dla różnych miejsc
8 Name:           libgweather
9 Version:        3.20.0
10 Release:        3
11 License:        GPL v2+
12 Group:          X11/Libraries
13 Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgweather/3.20/%{name}-%{version}.tar.xz
14 # Source0-md5:  e3c273bce7772450b3d93136bcbb1653
15 URL:            http://www.gnome.org/
16 BuildRequires:  autoconf >= 2.64
17 BuildRequires:  automake >= 1:1.11
18 BuildRequires:  geocode-glib-devel
19 BuildRequires:  gettext-tools >= 0.18
20 %{?with_glade:BuildRequires:    glade-devel >= 2.0}
21 BuildRequires:  glib2-devel >= 1:2.35.1
22 BuildRequires:  gnome-common >= 2.20.0
23 BuildRequires:  gobject-introspection-devel >= 0.10.0
24 BuildRequires:  gtk+3-devel >= 3.14.0
25 BuildRequires:  gtk-doc >= 1.11
26 BuildRequires:  intltool >= 0.50.0
27 BuildRequires:  libsoup-devel >= 2.44.0
28 BuildRequires:  libtool >= 2:2.2.6
29 BuildRequires:  libxml2-devel >= 1:2.6.30
30 BuildRequires:  pkgconfig >= 1:0.19
31 BuildRequires:  rpmbuild(macros) >= 1.592
32 BuildRequires:  tar >= 1:1.22
33 %{?with_vala:BuildRequires:     vala >= 2:0.18.0}
34 BuildRequires:  xz
35 Requires(post,postun):  /sbin/ldconfig
36 Requires(post,postun):  glib2 >= 1:2.35.1
37 Requires:       glib2 >= 1:2.35.1
38 Requires:       gtk+3 >= 3.14.0
39 Requires:       libsoup >= 2.44.0
40 Requires:       libxml2 >= 1:2.6.30
41 # sr@Latn vs. sr@latin
42 Conflicts:      glibc-misc < 6:2.7
43 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
44
45 %description
46 libgweather is a library to access weather information from online
47 services for numerous locations.
48
49 %description -l pl.UTF-8
50 libgweather to biblioteka pozwalająca na dostęp do informacji
51 pogodowych z serwisów internetowych dla różnych miejsc.
52
53 %package devel
54 Summary:        Header files for libgweather
55 Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki libgweather
56 Group:          X11/Development/Libraries
57 Requires:       %{name} = %{version}-%{release}
58 Requires:       gtk+3-devel >= 3.14.0
59 Requires:       libsoup-devel >= 2.44.0
60 Requires:       libxml2-devel >= 1:2.6.30
61 Obsoletes:      gnome-applets-devel <= 2.21.4
62
63 %description devel
64 Header files for libgweather.
65
66 %description devel -l pl.UTF-8
67 Pliki nagłówkowe biblioteki libgweather.
68
69 %package static
70 Summary:        Static libgweather library
71 Summary(pl.UTF-8):      Statyczna biblioteka libgweather
72 Group:          X11/Development/Libraries
73 Requires:       %{name}-devel = %{version}-%{release}
74
75 %description static
76 Static libgweather library.
77
78 %description static -l pl.UTF-8
79 Statyczna biblioteka libgweather.
80
81 %package apidocs
82 Summary:        libgweather API documentation
83 Summary(pl.UTF-8):      Dokumentacja API biblioteki libgweather
84 Group:          Documentation
85 Requires:       gtk-doc-common
86 %if "%{_rpmversion}" >= "5"
87 BuildArch:      noarch
88 %endif
89
90 %description apidocs
91 libgweather API documentation.
92
93 %description apidocs -l pl.UTF-8
94 Dokumentacja API biblioteki libgweather.
95
96 %package glade
97 Summary:        libgweather catalog file for Glade
98 Summary(pl.UTF-8):      Plik katalogu libgweather dla Glade
99 Group:          X11/Development/Libraries
100 Requires:       %{name}-devel = %{version}-%{release}
101 Requires:       glade >= 2.0
102
103 %description glade
104 libgweather catalog file for Glade.
105
106 %description glade -l pl.UTF-8
107 Plik katalogu libgweather dla Glade.
108
109 %package -n vala-libgweather
110 Summary:        libgweather API for Vala language
111 Summary(pl.UTF-8):      API biblioteki libgweather dla języka Vala
112 Group:          Development/Libraries
113 Requires:       %{name}-devel = %{version}-%{release}
114 Requires:       vala >= 2:0.18.0
115 %if "%{_rpmversion}" >= "5"
116 BuildArch:      noarch
117 %endif
118
119 %description -n vala-libgweather
120 libgweather API for Vala language.
121
122 %description -n vala-libgweather -l pl.UTF-8
123 API biblioteki libgweather dla języka Vala.
124
125 %prep
126 %setup -q
127
128 %build
129 %{__gtkdocize}
130 %{__intltoolize}
131 %{__libtoolize}
132 %{__aclocal} -I m4
133 %{__autoconf}
134 %{__autoheader}
135 %{__automake}
136 %configure \
137         %{!?with_glade:--disable-glade-catalog} \
138         --enable-gtk-doc \
139         --disable-silent-rules \
140         --enable-static \
141         %{__enable_disable vala} \
142         --with-html-dir=%{_gtkdocdir} \
143         --with-zoneinfo-dir=%{_datadir}/zoneinfo
144
145 %{__make} -j1 -C data
146 %{__make}
147
148 %install
149 rm -rf $RPM_BUILD_ROOT
150
151 %{__make} install \
152         DESTDIR=$RPM_BUILD_ROOT
153
154 %{__rm} -r $RPM_BUILD_ROOT%{_localedir}/es_ES
155 %{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
156
157 %find_lang libgweather-3.0 --all-name
158
159 %clean
160 rm -rf $RPM_BUILD_ROOT
161
162 %post
163 /sbin/ldconfig
164 %glib_compile_schemas
165
166 %postun
167 /sbin/ldconfig
168 %glib_compile_schemas
169
170 %files -f libgweather-3.0.lang
171 %defattr(644,root,root,755)
172 %doc AUTHORS HACKING NEWS README
173 %attr(755,root,root) %{_libdir}/libgweather-3.so.*.*.*
174 %attr(755,root,root) %ghost %{_libdir}/libgweather-3.so.6
175 %{_datadir}/glib-2.0/schemas/org.gnome.GWeather.enums.xml
176 %{_datadir}/glib-2.0/schemas/org.gnome.GWeather.gschema.xml
177 %dir %{_datadir}/libgweather
178 %{_datadir}/libgweather/Locations.xml
179 %{_datadir}/libgweather/locations.dtd
180 %{_libdir}/girepository-1.0/GWeather-3.0.typelib
181
182 %files devel
183 %defattr(644,root,root,755)
184 %attr(755,root,root) %{_libdir}/libgweather-3.so
185 %{_includedir}/libgweather-3.0
186 %{_pkgconfigdir}/gweather-3.0.pc
187 %{_datadir}/gir-1.0/GWeather-3.0.gir
188
189 %files static
190 %defattr(644,root,root,755)
191 %{_libdir}/libgweather-3.a
192
193 %files apidocs
194 %defattr(644,root,root,755)
195 %{_gtkdocdir}/libgweather-3.0
196
197 %if %{with glade}
198 %files glade
199 %defattr(644,root,root,755)
200 %{_datadir}/glade/catalogs/libgweather.xml
201 %endif
202
203 %if %{with vala}
204 %files -n vala-libgweather
205 %defattr(644,root,root,755)
206 %{_datadir}/vala/vapi/gweather-3.0.vapi
207 %endif
This page took 0.230242 seconds and 2 git commands to generate.